Subject: bug#37562: 26.2; Obsolete vt-control and vt100-led

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 02 Feb 2022 19:41:58 +0100

Nicolas Semrau <[email-masked]> writes:

> Five years ago, Stefan Monnier asked if vt100-led.el and vt-control.el
> could be obsoleted.[1] Since there was no objection at the time (and
> the hardware certainly not gaining in popularity since then), I propose
> to go through with declaring /lisp/vt-control.el and /lisp/vt100-led.el
> obsolete.
>
> [1] https://lists.gnu.org/archive/html/emacs-devel/2014-05/msg00169.html

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I've now moved them to lisp/obsolete in Emacs 29.  If it turns out that
they're useful (i.e., we get complaints from people using term/vtXXX),
then we'll reconsider, but it seems unlikely.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no